<div class="card">
    <h3>Listado de servicios</h3>
  <div class="card-body">
   <div >
        <form [formGroup]="filtroCategorias">
            <div class= "row">
                <label>Buscar por categoria:</label>
                <span>
                    <select class="form-select" id="listacategorias" aria-label=".form-select-lg example" formControlName="categoriaseleccionada" (change)="obtenerServiciosPorCategoria($event)"> 
                        <option value="0" selected >Todas las categorias</option>
                        <option *ngFor="let catalogo of catalogos" value={{catalogo.codCatalogo}} >{{catalogo.categoria}}</option>
                    </select>
                </span>
            </div>
        </form>
    <div>
    <table class="table">
        <thead>
            <tr>
                <th scope="col">Titulo</th>
                <th scope="col">Descripcion</th>
                <th scope="col">Categoria</th>
                <th scope="col">Tipo</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let servicio of servicios | paginate:{itemsPerPage: 10, currentPage: page}">
                <td>{{servicio.titulo}}</td>
                <td>{{servicio.descripcion}}</td>
                <td>{{servicio.catalogo.categoria}}</td>
                 <td>{{servicio.tipo.nombre}}</td>
            </tr>
        </tbody>
    </table>
    <pagination-controls (pageChange)="page = $event"></pagination-controls>
  </div>
</div>
